# Dependencies
markdown:         kramdown
highlighter:      rouge

kramdown:
  auto_ids: true

# Permalinks
permalink:        pretty

# Server
source:           docs
destination:      _gh_pages
host:             0.0.0.0
port:             9001
baseurl:          ""
url:              https://v4-alpha.getbootstrap.com
encoding:         UTF-8
exclude:          [assets/scss/]

gems:
  - jekyll-redirect-from
  - jekyll-sitemap

# Social
title: Bootstrap
description: The most popular HTML, CSS, and JS framework in the world.
twitter: getbootstrap
authors: Mark Otto, Jacob Thornton, and Bootstrap contributors
social_logo_path: /assets/brand/bootstrap-social-logo.png
social_image_path: /assets/brand/bootstrap-social.png

# Custom vars
current_version:  4.0.0-alpha.6
repo:             https://github.com/twbs/bootstrap
slack:            https://bootstrap-slack.herokuapp.com

download:
  source:         https://github.com/twbs/bootstrap/archive/v4.0.0-alpha.6.zip
  dist:           https://github.com/twbs/bootstrap/releases/download/v4.0.0-alpha.6/bootstrap-4.0.0-alpha.6-dist.zip

blog:             https://blog.getbootstrap.com
expo:             https://expo.getbootstrap.com
themes:           https://themes.getbootstrap.com

cdn:
  # See https://www.srihash.org for info on how to generate the hashes
  css:            https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/css/bootstrap.min.css
  css_hash:       "sha384-rwoIResjU2yc3z8GV/NPeZWAv56rSmLldC3R/AZzGRnGxQQKnKkoFVhFQhNUwEyJ"
  js:             https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/js/bootstrap.min.js
  js_hash:        "sha384-vBWWzlZJ8ea9aCX4pEW3rVHjgjt7zpkNpZk+02D9phzyeVkE+jo0ieGizqPLForn"
  jquery:         https://code.jquery.com/jquery-3.2.1.slim.min.js
  jquery_hash:    "sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
  tether:         https://cdnjs.cloudflare.com/ajax/libs/tether/1.4.0/js/tether.min.js
  tether_hash:    "sha384-DztdAPBWPRXSA/3eYEEUWrWCy7G5KFbe8fFjk5JAIxUYHKkDx6Qin1DkWx51bBrb"
